Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.typedarrays.shared
Interface Uint8ClampedArray

All Superinterfaces:
  ArrayBufferView, Uint8Array

All Known Implementing Classes:
  Uint8ArrayNative, Uint8ClampedArrayImpl, Uint8ClampedArrayNativeEmul

    public interface Uint8ClampedArray

extends Uint8Array

A view representing an `ArrayBuffer` as 8-bit unsigned integers. Storing out-of-range values are mapped to valid values by clamping to the range 0-255. "http://www.khronos.org/registry/typedarray/specs/latest/#7"

Field Summary

Fields inherited from interface com.google.gwt.typedarrays.shared.Uint8Array
`BYTES_PER_ELEMENT`

Method Summary
`Uint8ClampedArray` | `subarray(int begin)` Create a new view from the same array, from `offset` to the end of this view.
`Uint8ClampedArray` | `subarray(int begin, int end)` Create a new view from the same array, from `offset` to (but not including) `end` in this view.

Methods inherited from interface com.google.gwt.typedarrays.shared.Uint8Array
`get, length, set, set, set, set, set, set, set`

Methods inherited from interface com.google.gwt.typedarrays.shared.ArrayBufferView
`buffer, byteLength, byteOffset`

Method Detail

### subarray

    Uint8ClampedArray subarray(int begin)

  Create a new view from the same array, from `offset` to the end of this view. These offset is clamped to legal indices into this view, so it is not an error to specify an invalid index.

  Specified by:
    `subarray` in interface `Uint8Array`
  Parameters:
    `begin` - offset into this view if non-negative; if negative, an index from the end of this view
  Returns:
    a new `Uint8ClampedArray` instance

### subarray

    Uint8ClampedArray subarray(int begin,
                               int end)

  Create a new view from the same array, from `offset` to (but not including) `end` in this view. These indices are clamped to legal indices into this view, so it is not an error to specify invalid indices.

  Specified by:
    `subarray` in interface `Uint8Array`
  Parameters:
    `begin` - offset into this view if non-negative; if negative, an index from the end of this view
    `end` - offset into this view if non-negative; if negative, an index from the end of this view
  Returns:
    a new `Uint8ClampedArray` instance

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD